<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Jquery</title>
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <style>
        div.box { width: 50px; height: 50px; border: 1px solid #000;}
    </style>
</head>
<body>
    <!-- 내가 만든 속성 넣기 data-name -->
    <div id="elbox" class="box one" data-name="mybox" data-type="mebox"></div>
    <div id="el1" class="box item"></div>
    <div><input id="el2" type="checkbox" />
        약관에 동의합니다.
    </div>
    <button id="btn">회원가입</button>

    <script>
        var el = $("#el1")  // 요소를 가져와 노드 만들기
        // 객체를 속성으로 넣을 수 있다.
        el.attr({"data-name": "moving", "data-type": "drapBox"});
        // .prop() 은 input 태그의 checked 나 option 값을 가져오는 함수
        if ( !$("input#el2").prop("checked") ) {
            alert("약관에 동의 하세요!")
        }
        // 내가 넣은 속성 data-name 가져오기
        var elAttInput = $("div[data-name='mybox']");
        
        // CSS 사용 DOM 표준 방식
        // document.getElementById("el1").style.backgroundColor = "#ff0000";
        // CSS 사용 jquery 방식으로 파라미터로 문자열 하나는 기존값을 가져오고
        // 문자열 두개가 들어가면 새로운 값을 넣는 것이고 객체는 여러 값을 넣는것
        $("div#el1").css("backgroundColor", "#ff0000");
        $("div#elbox").css({"backgroundColor":"#ffffff"});
        
        // 아래 처럼 .메서드.메서드.메서드 로 호출하는 방식을 메서드체이닝이라한다.
        $("div#elbox").css({"backgroundColor":"#ffffff"}).attr("data-name");
        
        // 아래 id가 elbox의 속성 data-name의 값을 가져온다.
        $("div#elbox").data("name"); 

        // event DOM 표준방식
        document.getElementById("btn").addEventListener("click", function() {
            console.log("버튼이 클릭 되었습니다.")
        });
        // event jquery 방식
        // 버튼 클릭시 함수 사용하겠다고 event를 바인딩하는 것임
         $("#btn").on("click", function() {
            if ( !$("#el2").prop("checked") ) {
                alert("약관에 동의하세요!");
            } else {
                alert("회원가입을 환영합니다.")
            }
        }); 

        // 바인딩된 addEventListener를 제거하기
        // DOM 방식
        // document.getElementById("btn").removeEventListener("click");
        // jquery 방식으로 회원가입버튼이 작동하지 않는다.
        $("#btn").off("click");

    </script>
    
</body>
</html>